DOMNodelist::item
DOMProcessingInstruction
DOM
PHP Manual

# The DOMNotation class

(PHP 5, PHP 7)

## Class synopsis

DOMNotation extends DOMNode {
/* Properties */
readonly public string $publicId ;
readonly public string $systemId ;
/* Inherited methods */
public DOMNode DOMNode::appendChild ( DOMNode `$newnode` )
public string DOMNode::C14N ([ bool `$exclusive` [, bool `$with_comments` [, array `$xpath` [, array `$ns_prefixes` ]]]] )
public int DOMNode::C14NFile ( string `$uri` [, bool `$exclusive` [, bool `$with_comments` [, array `$xpath` [, array `$ns_prefixes` ]]]] )
public DOMNode DOMNode::cloneNode ([ bool `$deep` ] )
public int DOMNode::getLineNo ( void )
public string DOMNode::getNodePath ( void )
public bool DOMNode::hasAttributes ( void )
public bool DOMNode::hasChildNodes ( void )
public DOMNode DOMNode::insertBefore ( DOMNode `$newnode` [, DOMNode `$refnode` ] )
public bool DOMNode::isDefaultNamespace ( string `$namespaceURI` )
public bool DOMNode::isSameNode ( DOMNode `$node` )
public bool DOMNode::isSupported ( string `$feature` , string `$version` )
public string DOMNode::lookupNamespaceURI ( string `$prefix` )
public string DOMNode::lookupPrefix ( string `$namespaceURI` )
public void DOMNode::normalize ( void )
public DOMNode DOMNode::removeChild ( DOMNode `$oldnode` )
public DOMNode DOMNode::replaceChild ( DOMNode `$newnode` , DOMNode `$oldnode` )
}

## Properties

publicId

systemId

DOMNodelist::item
DOMProcessingInstruction
DOM
PHP Manual